Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLAppletElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLAppletElementImpl

All Implemented Interfaces:
  Element, HTMLAppletElement, HTMLElement, Node

public class JRexHTMLAppletElementImpl
extends JRexHTMLElementImpl
implements HTMLAppletElement

A class implementing org.w3c.dom.html2.HTMLAppletElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLAppletElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`String` | `getArchive()` Comma-separated archive list.
`String` | `getCode()` Applet class file.
`String` | `getCodeBase()` Optional base URI [IETF RFC 2396] for applet.
`String` | `getHeight()` Override height.
`int` | `getHspace()` Horizontal space, in pixels, to the left and right of this image, applet, or object.
`String` | `getName()` The name of the applet.
`String` | `getObject()` The value of the "object" attribute.
`int` | `getVspace()` Vertical space, in pixels, above and below this image, applet, or object.
`String` | `getWidth()` Override width.
`void` | `setAlign(String align)` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`void` | `setAlt(String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` | `setArchive(String archive)` Comma-separated archive list.
`void` | `setCode(String code)` Applet class file.
`void` | `setCodeBase(String codeBase)` Optional base URI [IETF RFC 2396] for applet.
`void` | `setHeight(String height)` Override height.
`void` | `setHspace(int hspace)` Horizontal space, in pixels, to the left and right of this image, applet, or object.
`void` | `setName(String name)` The name of the applet.
`void` | `setObject(String object)` The value of the "object" attribute.
`void` | `setVspace(int vspace)` Vertical space, in pixels, above and below this image, applet, or object.
`void` | `setWidth(String width)` Override width.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLAppletElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLAppletElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLAppletElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLAppletElement`

### getAlt

    public String getAlt()

  Description copied from interface: `HTMLAppletElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlt` in interface `HTMLAppletElement`

### setAlt

    public void setAlt(String alt)

  Description copied from interface: `HTMLAppletElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlt` in interface `HTMLAppletElement`

### getCode

    public String getCode()

  Description copied from interface: `HTMLAppletElement`
  Applet class file. See the code attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getCode` in interface `HTMLAppletElement`

### setCode

    public void setCode(String code)

  Description copied from interface: `HTMLAppletElement`
  Applet class file. See the code attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setCode` in interface `HTMLAppletElement`

### getArchive

    public String getArchive()

  Description copied from interface: `HTMLAppletElement`
  Comma-separated archive list. See the archive attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getArchive` in interface `HTMLAppletElement`

### setArchive

    public void setArchive(String archive)

  Description copied from interface: `HTMLAppletElement`
  Comma-separated archive list. See the archive attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setArchive` in interface `HTMLAppletElement`

### getCodeBase

    public String getCodeBase()

  Description copied from interface: `HTMLAppletElement`
  Optional base URI [IETF RFC 2396] for applet. See the codebase attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getCodeBase` in interface `HTMLAppletElement`

### setCodeBase

    public void setCodeBase(String codeBase)

  Description copied from interface: `HTMLAppletElement`
  Optional base URI [IETF RFC 2396] for applet. See the codebase attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setCodeBase` in interface `HTMLAppletElement`

### getObject

    public String getObject()

  Description copied from interface: `HTMLAppletElement`
  The value of the "object" attribute. See the object attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getObject` in interface `HTMLAppletElement`

### setObject

    public void setObject(String object)

  Description copied from interface: `HTMLAppletElement`
  The value of the "object" attribute. See the object attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setObject` in interface `HTMLAppletElement`

### getHeight

    public String getHeight()

  Description copied from interface: `HTMLAppletElement`
  Override height. See the height attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getHeight` in interface `HTMLAppletElement`

### setHeight

    public void setHeight(String height)

  Description copied from interface: `HTMLAppletElement`
  Override height. See the height attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setHeight` in interface `HTMLAppletElement`

### getHspace

    public int getHspace()

  Description copied from interface: `HTMLAppletElement`
  Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getHspace` in interface `HTMLAppletElement`

### setHspace

    public void setHspace(int hspace)

  Description copied from interface: `HTMLAppletElement`
  Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setHspace` in interface `HTMLAppletElement`

### getName

    public String getName()

  Description copied from interface: `HTMLAppletElement`
  The name of the applet. See the name attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLAppletElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLAppletElement`
  The name of the applet. See the name attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLAppletElement`

### getVspace

    public int getVspace()

  Description copied from interface: `HTMLAppletElement`
  Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getVspace` in interface `HTMLAppletElement`

### setVspace

    public void setVspace(int vspace)

  Description copied from interface: `HTMLAppletElement`
  Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setVspace` in interface `HTMLAppletElement`

### getWidth

    public String getWidth()

  Description copied from interface: `HTMLAppletElement`
  Override width. See the width attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getWidth` in interface `HTMLAppletElement`

### setWidth

    public void setWidth(String width)

  Description copied from interface: `HTMLAppletElement`
  Override width. See the width attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setWidth` in interface `HTMLAppletElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.